Description

Switches issue ids from #1 to something like MYID-1

History

#1 - 2007-03-29 10:07 - Jeffrey Jones

Will the automatic linking code (used in comments and the wiki,

for example #20 will point to issue 20) work with the symbolic

ID?

#2 - 2007-03-29 10:41 - Ted Wise

Yes, it's a very simplistic patch - basically it's just for

show.  It displays issue id's as <CODE>-<ID>, e.g.,

PROJ-45,

but nothing else changes.  For example, the url to access

the issue is still /issue/show/45.

To do this correctly, you really want to make the display

efficient, switch each project to have it's own id numbers

(instead of having id's shared across all projects), and use

code ids on the inbound, e.g., /issue/show/proj-45.

#3 - 2007-06-15 08:00 - bajs bajs

Wrt /issues/show/proj-45:

That would break urls pointing to the old project if the issue

is moved to another project, wouldn't it?

Issues should have the same id even if they are moved. I see

no reason to have project-specific IDs.

Having a "print name" for ids could work though, so

that issue 123 is written as "PROJ-123" everywhere

it's written. But it should still have the same proper handle

IMO, and any inputting of IDs should then accept both 123 and

PROJ-123. But I wouldn't ever use it because...

Another issue with project-local ID numbers is that you can't

ever ever change the prefix. If your customer communication,

version control commits, wiki and everything else refers to issue

"FoodProj-123", then you can't really change FoodProjs

name to EatProj.

I wouldn't use the PROJ-prefix at all, but you go right ahead.

But please don't break globally unique issue IDs. That would

break so many things for so many potential users.

#4 - 2007-08-29 05:27 - Venkat Bagam

I don't get what you are trying to achieve !!! do you mean that

you want to use customized MYID-1,MYID-2 ....so on as primary

keys rather than using auto-incremented integers ???

If that is so, I have a solution...

regards,

venkat
https://www.redmine.org/issues/1
https://www.redmine.org/issues/20


#5 - 2010-05-15 23:24 - Felix Schäfer

- Status changed from New to Closed

I don't see much benefit in this for too much added complexity for end users.

Files

code_id.diff 29.5 KB 2008-02-03 Ted Wise
